#ifndef __SubscriptionHandlerFactory_h__
#define __SubscriptionHandlerFactory_h__

#include "SubscriptionHandler.h"
#include <string>

namespace core {

   class SubscriptionHandlerFactory {

    public:

      virtual SubscriptionHandler * getSubscriptionHandler(std::string name) {
         return new SubscriptionHandler();
      }

   };

}

#endif
